Bug 132066 - XFree Fails to Load After Upgrade
XFree Fails to Load After Upgrade
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-08 11:22 EDT by Jeff Litvak
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 15:56:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86Config created when X fails to load (3.34 KB, text/plain)
2004-09-09 16:59 EDT, Jeff Litvak
no flags Details
XFree86.0.log created when X fails to load (17.67 KB, text/plain)
2004-09-09 16:59 EDT, Jeff Litvak
no flags Details
Messages file generated after trying to manually run startx (43.95 KB, text/plain)
2004-09-14 11:21 EDT, Jeff Litvak
no flags Details

  None (edit)
Description Jeff Litvak 2004-09-08 11:22:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
After updating to the latest kernel, X server fails to load. Automatic
configuration correctly finds that I have an Intel 810 video chip, but
fails with the error message "No Screens Found."

Works fine under all previous versions of the kernel.

I'm running an HP Pavilian 502N with a Compaq MV920 monitor, 1920
resolution with thousands of colors.

Version-Release number of selected component (if applicable):
kernel 2.4.21-20.EL

How reproducible:

Steps to Reproduce:
1. Boot the machine to the 2.4.21.-20.EL kernel.

Actual Results:  Error message appears that X Server cannot be
started. I'm then prompted to look at the error results and to
automatically reconfigure the X server. Though the reconfiguration
utility correctly finds my video chip, it fails to start X, showing
the error message "No screens found."

Expected Results:  Would like to have X started automatically when
machine is booted

Additional info:

I've saved the log files when the error occurs. Let me know and I'll
send them to you separately.
Comment 1 Mike A. Harris 2004-09-08 19:53:55 EDT
Reassigning to kernel component, as that's what changed.
Comment 2 Jeff Litvak 2004-09-09 16:59:07 EDT
Created attachment 103653 [details]
XF86Config created when X fails to load
Comment 3 Jeff Litvak 2004-09-09 16:59:51 EDT
Created attachment 103654 [details]
XFree86.0.log created when X fails to load
Comment 5 Neil Horman 2004-09-14 09:11:02 EDT
The first thing in my mind to check would be the existance of
/dev/agpgart.  From the error message in the log it looks as if the
first problem you hit is that it cant find that device interface.

If /dev/agpgart doesn't exist, or exists with the wrong major and
minor numbers, try running:

mknod /dev/agpgart c 10 175

Then try starting X again.
Comment 6 Mike A. Harris 2004-09-14 09:41:01 EDT
Try rebooting the machine, then starting up X with "startx", and
assuming it fails, attach /var/log/messages from boot time onward
using bugzilla file attach.

Comment 7 Jeff Litvak 2004-09-14 11:17:46 EDT
I restarted the machine and attempted to run the mknod command. It
failed, showing a message indicated that the agpgart device already
existed. I was able to see it when I built a listing of /dev.

I'm nervous about trying to delete it, as I don't want to farkle my
ability to start X using earlier versions of the kernel.
Comment 8 Jeff Litvak 2004-09-14 11:21:14 EDT
Created attachment 103829 [details]
Messages file generated after trying to manually run startx

Here is the messages file that was generated when I booted to the new kernel
and attempted to run startx. Hope it's of help to you in figuring out this
Comment 9 Kostas Georgiou 2004-09-24 09:10:06 EDT
One of my users has the same problem "agpgart fails to load with: No
such device". Going back the previous kernel fixes the problem. 
Any agpgart changes in 2.4.21-20.EL ?
Comment 10 Kostas Georgiou 2004-09-24 09:16:23 EDT
Ah duplicate of bug# 131907
Comment 11 Mike A. Harris 2004-09-24 09:55:12 EDT
Indeed, bug #131907 does appear to be the cause of the problem.
I'll close this bug as a duplicate of that bug, and we can track
future updates to the issue in the master duplicate.

Thanks for pointing out the real problem.

*** This bug has been marked as a duplicate of 131907 ***
Comment 12 Ernie Petrides 2004-10-18 23:05:52 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-22.EL).
Comment 13 John Flanagan 2004-12-20 15:56:33 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.